Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 531308 (CVE-2014-8104)

Summary: <net-misc/openvpn-2.3.6 - critical DoS vulnerability (CVE-2014-8104)
Product: Gentoo Security Reporter: Christian Schmidt <gentoo>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: alexander, diddledan, djc, ercpe, gentoo, hanno, lordvan, phmagic
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://forums.openvpn.net/topic17625.html
Whiteboard: A3 [glsa]
Package list:
Runtime testing required: ---

Description Christian Schmidt 2014-12-01 10:47:09 UTC
The OpenVPN dev team announced a critical security vulnerability which will be fixed in the upcoming version 2.3.6 (see link from URL field). Please update the packages when released.


Reproducible: Always
Comment 1 Thomas Raschbacher gentoo-dev 2014-12-01 10:55:08 UTC
assigning bug to maintainer and CC'ing security team (hope you don't mind ;))
Comment 2 Josh Cepek 2014-12-01 20:28:17 UTC
The security announcement has been published earlier today at https://community.openvpn.net/openvpn/wiki/SecurityAnnouncement-97597e732b .

All that needs to happen for the ebuild is a bump to 2.3.6. Upstream source tarballs are already available at the expected locations, which the ebuild will pick up on with the new name.

An updated ebuild is of particular importance for server installations that do not require client-certificates and either do not use the tls-auth feature or provide publicly available tls-auth keys. This is especially common in many openvpn-as-a-service installations.
Comment 3 Dirkjan Ochtman gentoo-dev 2014-12-01 21:38:50 UTC
Version bumped 2.3.6, okay to stabilize.
Comment 4 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2014-12-01 22:13:57 UTC
Think I got all the arches, cc'd arches btw
Comment 5 Jeroen Roovers (RETIRED) gentoo-dev 2014-12-02 08:27:09 UTC
Arch teams, please test and mark stable:
=net-misc/openvpn-2.3.6
Targeted stable KEYWORDS : alpha amd64 arm hppa ia64 ppc ppc64 sparc x86
Comment 6 Agostino Sarubbo gentoo-dev 2014-12-02 09:31:28 UTC
amd64 stable
Comment 7 Agostino Sarubbo gentoo-dev 2014-12-02 09:31:43 UTC
x86 stable
Comment 8 Jeroen Roovers (RETIRED) gentoo-dev 2014-12-02 10:18:54 UTC
Stable for HPPA.
Comment 9 Agostino Sarubbo gentoo-dev 2014-12-03 09:58:41 UTC
ppc stable
Comment 10 Jeroen Roovers (RETIRED) gentoo-dev 2014-12-03 12:43:25 UTC
*** Bug 531526 has been marked as a duplicate of this bug. ***
Comment 11 Daniel "Fremen" Llewellyn 2014-12-03 12:48:09 UTC
per my duplicate bug #531526, I suggest issuing a GLSA for <net-misc/openvpn-2.3.6 to ensure that server installations get updated post-haste.
Comment 12 Agostino Sarubbo gentoo-dev 2014-12-04 08:28:03 UTC
ppc64 stable
Comment 13 Agostino Sarubbo gentoo-dev 2014-12-06 16:50:47 UTC
ia64 stable
Comment 14 Markus Meier gentoo-dev 2014-12-16 20:47:12 UTC
arm stable
Comment 15 Agostino Sarubbo gentoo-dev 2014-12-23 09:31:14 UTC
alpha stable
Comment 16 Agostino Sarubbo gentoo-dev 2014-12-26 09:19:30 UTC
sparc stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 17 Yury German Gentoo Infrastructure gentoo-dev 2014-12-26 17:07:10 UTC
Arches, Thank you for your work
Maintainer(s), please drop the vulnerable version(s).

Added to existing GLSA Request
Comment 18 GLSAMaker/CVETool Bot gentoo-dev 2014-12-26 17:08:32 UTC
CVE-2014-8104 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-8104):
  OpenVPN 2.x before 2.0.11, 2.1.x, 2.2.x before 2.2.3, and 2.3.x before 2.3.6
  allows remote authenticated users to cause a denial of service (server
  crash) via a small control channel packet.
Comment 19 Dirkjan Ochtman gentoo-dev 2015-01-02 17:38:44 UTC
Cleanup done.
Comment 20 GLSAMaker/CVETool Bot gentoo-dev 2015-01-02 18:27:11 UTC
This issue was resolved and addressed in
 GLSA 201412-41 at http://security.gentoo.org/glsa/glsa-201412-41.xml
by GLSA coordinator Mikle Kolyada (Zlogene).